## ksanecore 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)
set(KF5_VERSION "5.90.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${KSaneCore_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)

ecm_setup_version(
    ${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KSANECORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfigVersion.cmake"
    SOVERSION 1
)

# Dependencies
set(REQUIRED_QT_VERSION "5.15.2")
# Required Qt5 components to build this framework
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Gui)
# Required KF5 frameworks
find_package(KF5I18n ${KF5_VERSION} REQUIRED)

# Check if sane API is available.
find_package(Sane REQUIRED)
message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KSaneCore")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KSaneCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore"
    COMPONENT Devel
)

install(EXPORT KSaneCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KSaneCoreTargets.cmake
    NAMESPACE KSane::
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: BSD-2-Clause

add_library(KSaneCore)
add_library(KSane::Core ALIAS KSaneCore)

target_compile_definitions(KSaneCore PRIVATE -DTRANSLATION_DOMAIN=\"ksanecore\")

target_sources(KSaneCore PRIVATE
    finddevicesthread.cpp
    scanthread.cpp
    imagebuilder.cpp
    interface.cpp
    interface_p.cpp
    authentication.cpp
    option.cpp
    internaloption.cpp
    deviceinformation.cpp
    options/baseoption.cpp
    options/actionoption.cpp
    options/booloption.cpp
    options/stringoption.cpp
    options/gammaoption.cpp
    options/integeroption.cpp
    options/doubleoption.cpp
    options/listoption.cpp
    options/invertoption.cpp
    options/pagesizeoption.cpp
    options/batchmodeoption.cpp
    options/batchdelayoption.cpp
)

ecm_qt_declare_logging_category(KSaneCore
  HEADER ksanecore_debug.h
  IDENTIFIER KSANECORE_LOG
  CATEGORY_NAME org.kde.ksane.core
)

generate_export_header(KSaneCore BASE_NAME KSaneCore)

target_include_directories(KSaneCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KSaneCore>"
    PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/options
)

target_link_libraries(KSaneCore
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
    PRIVATE
        Sane::Sane
        KF5::I18n
)

set_target_properties(KSaneCore
    PROPERTIES VERSION ${KSANECORE_VERSION}
    SOVERSION ${KSANECORE_SOVERSION}
    EXPORT_NAME "Core"
)


ecm_generate_headers(KSaneCore_HEADERS
    HEADER_NAMES
        Interface
        Option
        DeviceInformation
    REQUIRED_HEADERS KSaneCore_HEADERS
    RELATIVE "../src/"
)

# Install files

install(TARGETS KSaneCore
    EXPORT KSaneCoreTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_export.h"
    ${KSaneCore_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore"
    COMPONENT Devel
)

## ksanecore 22.12.0

=== debian/changelog ===
ksanecore (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 23:47:51 +0100

ksanecore (22.11.90-1) unstable; urgency=medium

  [ Rik Mills ]
  * Initial release to Ubuntu (Closes: #1025277)

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Refresh copyright information.
  * Improve watch file.
  * Improve descriptions.
  * Make upstream signing key minimal.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 02 Dec 2022 22:03:23 +0100

=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/libraries/ksanecore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
Rules-Requires-Root: no

Package: libksanecore-dev
Section: libdevel
Architecture: any
Depends: libksanecore1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library providing logic to interface scanners - headers
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the scanner library development files.

Package: libksanecore1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing logic to interface scanners
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the shared library.

## ksanecore 22.12.3

=== debian/changelog ===
ksanecore (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:59 +0100

ksanecore (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -13,7 +13,7 @@
                libx11-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/ksanecore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
@@ -33,7 +33,7 @@
 
 Package: libksanecore1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library providing logic to interface scanners
  KSaneCore is a library that provides a Qt interface for the SANE library for
  scanner hardware.

## ksanecore 23.08.0

=== debian/changelog ===
ksanecore (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:54 +0100

ksanecore (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:23 +0100

ksanecore (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:56 +0100

ksanecore (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:56 +0100

ksanecore (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:30 +0000

ksanecore (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:48 -0600

ksanecore (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Kubuntu Vcs and maintaner fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:21 +0000

## ksanecore 23.08.1

=== debian/changelog ===
ksanecore (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:52 +0100

## ksanecore 23.08.4

=== debian/changelog ===
ksanecore (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:03 +0000

ksanecore (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:16 +0000

ksanecore (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:02 +0100

## ksanecore 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})
@@ -28,15 +28,24 @@
 include(ECMInstallIcons)
 include(CMakePackageConfigHelpers)
 include(CheckFunctionExists)
-include(GenerateExportHeader)
+include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
+set(ksanecore_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ksanecore_version.h")
 ecm_setup_version(
     ${RELEASE_SERVICE_VERSION}
     VARIABLE_PREFIX KSANECORE
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
+    VERSION_HEADER "${ksanecore_version_header}"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfigVersion.cmake"
     SOVERSION 1
 )
@@ -46,13 +55,17 @@
 # Required Qt5 components to build this framework
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Gui)
 # Required KF5 frameworks
-find_package(KF5I18n ${KF5_VERSION} REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}I18n ${KF5_VERSION} REQUIRED)
 
 # Check if sane API is available.
 find_package(Sane REQUIRED)
 message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
 message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
 message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")
+
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101
+)
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -75,7 +88,7 @@
 )
 
 install(FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
+    "${ksanecore_version_header}"
     DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore"
     COMPONENT Devel
 )

=== debian/changelog ===
ksanecore (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:42:19 +0000

ksanecore (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:19:55 +0000

ksanecore (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:16:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ksanecore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -13,10 +14,10 @@
                libx11-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/libraries/ksanecore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
 Rules-Requires-Root: no
 
 Package: libksanecore-dev
@@ -33,7 +34,7 @@
 
 Package: libksanecore1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library providing logic to interface scanners
  KSaneCore is a library that provides a Qt interface for the SANE library for
  scanner hardware.

## ksanecore 24.08.2

=== debian/changelog ===
ksanecore (24.08.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - VCS fields.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:41:39 -0500

ksanecore (24.08.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against libksanecore1 which ships the same
    localization files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 22:33:23 +0200

ksanecore (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Specify building for QT6.
  * Rename libksanecore1 to libksanecore6-1.
  * Update list of installed files from build system.
  * Generate new libksanecore6-1.symbols.
  * Use dh-sequence-kf6.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:26 +0200

ksanecore (23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 30 Sep 2023 10:38:26 -0400

## ksanecore 24.12.0

=== debian/changelog ===
ksanecore (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Drop obsolete dependencies.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:00:42 +0100

=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libsane-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/ksanecore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
Rules-Requires-Root: no

Package: libksanecore-dev
Section: libdevel
Architecture: any
Depends: libksanecore6-1 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: library providing logic to interface scanners - headers
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the scanner library development files.

Package: libksanecore6-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libksanecore1,
Replaces: libksanecore1,
Description: library providing logic to interface scanners
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the shared library.

## ksanecore 24.12.1

=== debian/changelog ===
ksanecore (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:16:27 +0000

ksanecore (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:18:32 +0000

ksanecore (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:12:55 +0000

ksanecore (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 17:26:29 +0000

ksanecore (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:03 +0000

## ksanecore 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)

set(REQUIRED_QT_VERSION "6.4.0")
set(KF_MIN_VERSION "6.0.0")
set(KSANECORE_SUFFFIX "6")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${KSaneCore_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)

set(ksanecore_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ksanecore_version.h")
ecm_setup_version(
    ${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KSANECORE
    VERSION_HEADER "${ksanecore_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSaneCore${KSANECORE_SUFFFIX}ConfigVersion.cmake"
    SOVERSION 1
)

# Dependencies
# Required Qt components to build this framework
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Gui)
# Required KDE Frameworks
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)

# Check if sane API is available.
find_package(Sane REQUIRED)
message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")

ecm_set_disabled_deprecation_versions(QT 6.4
    KF 5.101
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KSaneCore${KSANECORE_SUFFFIX}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KSaneCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCore${KSANECORE_SUFFFIX}Config.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCore${KSANECORE_SUFFFIX}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KSaneCore${KSANECORE_SUFFFIX}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(FILES
    "${ksanecore_version_header}"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore${KSANECORE_SUFFFIX}"
    COMPONENT Devel
)

install(EXPORT KSaneCore${KSANECORE_SUFFFIX}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KSaneCore${KSANECORE_SUFFFIX}Targets.cmake
    NAMESPACE KSane${KSANECORE_SUFFFIX}::
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
ksanecore (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:47:12 +0000

ksanecore (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:02:19 +0000

## ksanecore 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:53 +0200

ksanecore (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 25.03.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:42:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libsane-dev,
                qt6-base-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/ksanecore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git

## ksanecore 25.04.3

=== debian/changelog ===
ksanecore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:51:23 +0100

ksanecore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:55:18 +0100

ksanecore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:13:42 +0100

ksanecore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:57:48 +0100

## ksanecore 25.07.80

=== debian/changelog ===
ksanecore (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:47 +0100

## ksanecore 25.07.90

=== debian/changelog ===
ksanecore (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:55:25 +0100

## ksanecore 25.08.0

=== debian/changelog ===
ksanecore (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:28:07 +0100

## ksanecore 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:57:01 +0100

## ksanecore 25.08.1+p24.04+vstable+git20250910.2300

=== debian/changelog ===
ksanecore (25.08.1+p24.04+vstable+git20250910.2300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 23:00:57 +0000

ksanecore (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:55:21 +0000

ksanecore (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:17:21 +0000

ksanecore (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:52:39 +0000

ksanecore (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:43:10 +0000

ksanecore (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:10:32 +0000

ksanecore (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:35:51 +0000

ksanecore (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:08:55 +0000

ksanecore (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:25:35 +0000

ksanecore (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:34:06 +0000

ksanecore (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:12:14 +0000

ksanecore (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:36:20 +0000

ksanecore (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:00:59 +0000

ksanecore (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:32:58 +0000

ksanecore (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:23:53 +0000

ksanecore (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:07:02 +0000

ksanecore (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:20:05 +0000

ksanecore (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:53:53 +0000

ksanecore (24.01.90-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:30:31 +0000

ksanecore (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:13:38 +0000

ksanecore (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:08:08 +0000

ksanecore (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:56:16 +0000

ksanecore (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:39:17 +0000

ksanecore (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:17:22 +0000

ksanecore (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:03:17 +0000

ksanecore (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:41:38 +0000

ksanecore (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:16:15 +0000

ksanecore (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:22:22 +0000

ksanecore (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:43:36 +0000

ksanecore (22.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:58:02 +0000

ksanecore (22.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Sep 2022 16:05:56 +0000

ksanecore (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:04:34 +0000

## ksanecore 25.08.1+p24.04+vstable+git20251003.0302

=== debian/changelog ===
ksanecore (25.08.1+p24.04+vstable+git20251003.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:02:19 +0000

## ksanecore 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:39 +0100

## ksanecore 25.08.2+p24.04+vstable+git20251011.0841

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:39 +0000

ksanecore (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:24:42 +0000

## ksanecore 25.08.2+p24.04+vstable+git20251015.0843

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vstable+git20251015.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:43:18 +0000

## ksanecore 25.08.2+p24.04+vstable+git20251023.0113

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vstable+git20251023.0113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:13:15 +0000

## ksanecore 25.08.2+p24.04+vstable+git20251031.0732

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vstable+git20251031.0732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:32:15 +0000

## ksanecore 25.08.2+p24.04+vunstable+git20251020.0234

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vunstable+git20251020.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:34:02 +0000

=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               libsane-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ksanecore
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ksanecore.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ksanecore
Maintainer: Neon CI <neon@kde.org>

Package: libksanecore
Architecture: any
Provides: libksanecore6-1
Replaces: libksanecore1 (<< 24), libksanecore6-1
Breaks: libksanecore1 (<< 24)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library providing logic to interface scanners
 Library providing logic to interface scanners - shared library

Package: libksanecore-dev
Section: libdevel
Architecture: any
Provides: libksanecore6-dev
Replaces: libksanecore6-dev
Depends: libksanecore (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Library providing logic to interface scanners - headers
 Library providing logic to interface scanners.
 .
 This package contains the scanner library development files.

Package: libksanecore6-1
Architecture: all
Depends: libksanecore, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libksanecore6-dev
Architecture: all
Depends: libksanecore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/ksanecore-([\d.]+).tar.xz

## ksanecore 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: BSD-2-Clause

add_library(KSaneCore${KSANECORE_SUFFFIX})
add_library(KSane${KSANECORE_SUFFFIX}::Core ALIAS KSaneCore${KSANECORE_SUFFFIX})

set_target_properties(KSaneCore${KSANECORE_SUFFFIX} PROPERTIES
    VERSION     ${KSANECORE_VERSION}
    SOVERSION   ${KSANECORE_SOVERSION}
    EXPORT_NAME "Core"
)

target_compile_definitions(KSaneCore${KSANECORE_SUFFFIX} PRIVATE -DTRANSLATION_DOMAIN=\"ksanecore\")

target_sources(KSaneCore${KSANECORE_SUFFFIX} PRIVATE
    finddevicesthread.cpp finddevicesthread.h
    scanthread.cpp scanthread.h
    imagebuilder.cpp
    interface.cpp interface.h
    interface_p.cpp interface_p.h
    authentication.cpp authentication.h
    option.cpp
    internaloption.cpp internaloption.h
    deviceinformation.cpp deviceinformation.h
    options/baseoption.cpp options/baseoption.h
    options/actionoption.cpp options/actionoption.h
    options/booloption.cpp options/booloption.h
    options/stringoption.cpp options/stringoption.h
    options/gammaoption.cpp options/gammaoption.h
    options/integeroption.cpp options/integeroption.h
    options/doubleoption.cpp options/doubleoption.h
    options/listoption.cpp options/listoption.h
    options/invertoption.cpp options/invertoption.h
    options/pagesizeoption.cpp options/pagesizeoption.h
    options/batchmodeoption.cpp options/batchmodeoption.h
    options/batchdelayoption.cpp options/batchdelayoption.h
)

ecm_qt_declare_logging_category(KSaneCore${KSANECORE_SUFFFIX}
  HEADER ksanecore_debug.h
  IDENTIFIER KSANECORE_LOG
  CATEGORY_NAME org.kde.ksane.core
)

set(_generate_export_header_version_args USE_VERSION_HEADER)

ecm_generate_export_header(KSaneCore${KSANECORE_SUFFFIX}
    BASE_NAME KSaneCore
    VERSION ${KSANECORE_VERSION}
    DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

target_include_directories(KSaneCore${KSANECORE_SUFFFIX}
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KSaneCore${KSANECORE_SUFFFIX}>"
    PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/options
)

target_link_libraries(KSaneCore${KSANECORE_SUFFFIX}
    PUBLIC
        Qt6::Core
        Qt6::Gui
    PRIVATE
        Sane::Sane
        KF6::I18n
)

ecm_generate_headers(KSaneCore_CamelCase_HEADERS
    HEADER_NAMES
        Interface
        Option
        DeviceInformation
    REQUIRED_HEADERS KSaneCore_HEADERS
    PREFIX KSaneCore
    RELATIVE "../src/"
)

# Install files

install(TARGETS KSaneCore${KSANECORE_SUFFFIX}
    EXPORT KSaneCore${KSANECORE_SUFFFIX}Targets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore${KSANECORE_SUFFFIX}"
    COMPONENT Devel
)

install(FILES
    ${KSaneCore_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore${KSANECORE_SUFFFIX}/ksanecore"
    COMPONENT Devel
)

install(FILES
    ${KSaneCore_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore${KSANECORE_SUFFFIX}/KSaneCore"
    COMPONENT Devel
)

=== debian/changelog ===
ksanecore (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:55 +0000

=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libsane-dev,
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/ksanecore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
Rules-Requires-Root: no

Package: libksanecore-dev
Section: libdevel
Architecture: any
Depends: libksanecore6-1 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: library providing logic to interface scanners - headers
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the scanner library development files.

Package: libksanecore6-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libksanecore1,
Replaces: libksanecore1,
Description: library providing logic to interface scanners
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the shared library.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## ksanecore 25.08.3+p24.04+vstable+git20251204.1003

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vstable+git20251204.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 10:03:36 +0000

ksanecore (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:54 +1000

## ksanecore 25.08.3+p24.04+vunstable+git20251130.0059

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vunstable+git20251130.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:59:35 +0000

## ksanecore 25.08.3+p24.04+vunstable+git20251203.0046

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vunstable+git20251203.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:46:23 +0000

## ksanecore 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:28 +0000

## ksanecore 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:12:07 +0000

## ksanecore 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:30:33 +0000

## ksanecore 25.12.0+p24.04+vstable+git20260105.0818

=== debian/changelog ===
ksanecore (25.12.0+p24.04+vstable+git20260105.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:18:48 +0000

ksanecore (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:41 +1000

## ksanecore 25.12.0+p24.04+vunstable+git20260105.1307

=== debian/changelog ===
ksanecore (25.12.0+p24.04+vunstable+git20260105.1307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:07:32 +0000

## ksanecore 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksanecore (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:12:21 +0000

## ksanecore 25.12.1+p24.04+vstable+git20260122.1440

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vstable+git20260122.1440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 14:40:31 +0000

ksanecore (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:06 +1000

## ksanecore 25.12.1+p24.04+vstable+git20260131.1320

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vstable+git20260131.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:20:56 +0000

## ksanecore 25.12.1+p24.04+vunstable+git20260106.1421

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vunstable+git20260106.1421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:21:04 +0000

## ksanecore 25.12.2

=== debian/changelog ===
ksanecore (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:28:06 +0000
